PUT https://gate.reviopay.com/api/v1/webhooks/{id}/Request body
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | no | |
type | string | no | Object type identifier |
created_on | object | no | Object creation time |
updated_on | object | no | Object last modification time |
title | string | yes | Arbitrary title of webhook |
events | Event[] | yes | List of events to trigger webhook callbacks for. Either this or all_events is required. |
callback | URL | yes | |
all_events | boolean | no | Specifies this webhook should trigger on all event types. Either this or events is required. |
public_key | PublicKey | no | PEM-encoded RSA public key for authenticating webhook or callback payloads |
Example
curl -X PUT https://gate.reviopay.com/api/v1/webhooks/{id}/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | OK |
400 | Invalid data submitted or request processing error |
404 | No such object |